Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1564116 - [abrt] synergy: count_bits(): synergys killed by SIGSEGV
Summary: [abrt] synergy: count_bits(): synergys killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: synergy
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christian Krause
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:9a9f560f07bbd44b381f67d4c71...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-05 12:21 UTC by Eric Blake
Modified: 2018-11-30 22:55 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 22:55:08 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (71.65 KB, text/plain)
2018-04-05 12:21 UTC, Eric Blake
no flags Details
File: cgroup (361 bytes, text/plain)
2018-04-05 12:21 UTC, Eric Blake
no flags Details
File: core_backtrace (8.02 KB, text/plain)
2018-04-05 12:21 UTC, Eric Blake
no flags Details
File: cpuinfo (1.25 KB, text/plain)
2018-04-05 12:21 UTC, Eric Blake
no flags Details
File: dso_list (4.41 KB, text/plain)
2018-04-05 12:21 UTC, Eric Blake
no flags Details
File: environ (3.79 KB, text/plain)
2018-04-05 12:21 UTC, Eric Blake
no flags Details
File: exploitable (82 bytes, text/plain)
2018-04-05 12:21 UTC, Eric Blake
no flags Details
File: limits (1.29 KB, text/plain)
2018-04-05 12:21 UTC, Eric Blake
no flags Details
File: maps (21.78 KB, text/plain)
2018-04-05 12:22 UTC, Eric Blake
no flags Details
File: mountinfo (4.83 KB, text/plain)
2018-04-05 12:22 UTC, Eric Blake
no flags Details
File: open_fds (644 bytes, text/plain)
2018-04-05 12:22 UTC, Eric Blake
no flags Details
File: proc_pid_status (1.29 KB, text/plain)
2018-04-05 12:22 UTC, Eric Blake
no flags Details
File: var_log_messages (6.07 KB, text/plain)
2018-04-05 12:22 UTC, Eric Blake
no flags Details

Description Eric Blake 2018-04-05 12:21:39 UTC
Version-Release number of selected component:
1:synergy-1.8.8-3.fc27

Additional info:
reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        synergys -c /etc/synergy.conf
crash_function: count_bits
executable:     /usr/bin/synergys
journald_cursor: s=05fdd028e9244b6797c9a11a3860831f;i=23aaf;b=7d87c3ce6aab4dd397b8c214b66e2ec7;m=1ee77858dd6;t=56918ee7cb1b3;x=6f2d50cd35316709
kernel:         4.15.6-300.fc27.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            14986

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 count_bits at XExtInt.c:439
 #1 copyRawEvent at XExtInt.c:1397
 #2 XInputCopyCookie at XExtInt.c:1490
 #3 _XCopyEventCookie at XlibInt.c:707
 #4 XPeekEvent at PeekEvent.c:48
 #5 XWindowsScreen::refreshKeyboard at /usr/src/debug/synergy-1.8.8-3.fc27.x86_64/src/lib/platform/XWindowsScreen.cpp:2030
 #6 XWindowsScreen::handleSystemEvent at /usr/src/debug/synergy-1.8.8-3.fc27.x86_64/src/lib/platform/XWindowsScreen.cpp:1395
 #7 EventQueue::dispatchEvent at /usr/src/debug/synergy-1.8.8-3.fc27.x86_64/src/lib/base/EventQueue.cpp:271
 #8 EventQueue::loop at /usr/src/debug/synergy-1.8.8-3.fc27.x86_64/src/lib/base/EventQueue.cpp:129
 #9 ServerApp::mainLoop at /usr/src/debug/synergy-1.8.8-3.fc27.x86_64/src/lib/synergy/ServerApp.cpp:756

Potential duplicate: bug 1325397

Comment 1 Eric Blake 2018-04-05 12:21:45 UTC
Created attachment 1417655 [details]
File: backtrace

Comment 2 Eric Blake 2018-04-05 12:21:47 UTC
Created attachment 1417656 [details]
File: cgroup

Comment 3 Eric Blake 2018-04-05 12:21:48 UTC
Created attachment 1417657 [details]
File: core_backtrace

Comment 4 Eric Blake 2018-04-05 12:21:50 UTC
Created attachment 1417658 [details]
File: cpuinfo

Comment 5 Eric Blake 2018-04-05 12:21:52 UTC
Created attachment 1417659 [details]
File: dso_list

Comment 6 Eric Blake 2018-04-05 12:21:54 UTC
Created attachment 1417660 [details]
File: environ

Comment 7 Eric Blake 2018-04-05 12:21:56 UTC
Created attachment 1417661 [details]
File: exploitable

Comment 8 Eric Blake 2018-04-05 12:21:58 UTC
Created attachment 1417662 [details]
File: limits

Comment 9 Eric Blake 2018-04-05 12:22:00 UTC
Created attachment 1417663 [details]
File: maps

Comment 10 Eric Blake 2018-04-05 12:22:01 UTC
Created attachment 1417664 [details]
File: mountinfo

Comment 11 Eric Blake 2018-04-05 12:22:03 UTC
Created attachment 1417665 [details]
File: open_fds

Comment 12 Eric Blake 2018-04-05 12:22:04 UTC
Created attachment 1417666 [details]
File: proc_pid_status

Comment 13 Eric Blake 2018-04-05 12:22:05 UTC
Created attachment 1417667 [details]
File: var_log_messages

Comment 14 Eric Blake 2018-08-09 12:48:17 UTC
Similar problem has been detected:

suspended the laptop (as synergy server) while connected to a synergy client, then resumed it on a different network without the client

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        synergys -c /etc/synergy.conf
crash_function: count_bits
executable:     /usr/bin/synergys
journald_cursor: s=3d8677c0da4a4383a056dae285ed7f52;i=137a8;b=236a603e268646eaa5e04393b521a903;m=14ad0803f35;t=572fff7cb2d93;x=d0f8a926692ea6b9
kernel:         4.17.7-100.fc27.x86_64
package:        1:synergy-1.8.8-3.fc27
reason:         synergys killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            14986

Comment 15 Ben Cotton 2018-11-27 14:20:33 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 16 Ben Cotton 2018-11-30 22:55:08 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.